﻿@model CarRental.Web.Areas.Accounts.ViewModel.RegisterModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
	ViewData["Title"] = "Register";
	Layout = "_LoginLayout";
}

<link rel="stylesheet" href="~/assets/css/login.css" />
<style>
	.term-and-condition {
		font-weight: bold;
		color: #228083 !important;
	}

	#agreeText {
		color: grey;
	}
</style>
<section class="ftco-section">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-md-12 col-lg-10">
				<div class="wrap d-md-flex">
					@{
						var registerUrl = Url.Content("~/assets/images/bg_2.jpg");
					}
					<div class="img" style="background-image: url(@registerUrl);">
					</div>
					<div class="login-wrap p-4 p-md-5">
						<div class="d-flex">
							<div class="w-100">
								<h3 class="mb-4">Register</h3>
							</div>
							<div class="w-100">
								<p class="social-media d-flex justify-content-end">
									<a href="#"
									   class="social-icon d-flex align-items-center justify-content-center">
										<span class="fa fa-facebook"></span>
									</a>
									<a href="#"
									   class="social-icon d-flex align-items-center justify-content-center">
										<span class="fa fa-twitter"></span>
									</a>
								</p>
							</div>
						</div>
						<form id="registerForm" asp-action="Register" asp-controller="Account" method="post">
							<div asp-validation-summary="ModelOnly" class="text-danger"></div>
							<div class="form-group mb-3">
								<label class="label" asp-for="FullName" for="name">Full Name</label>
								<input type="text" asp-for="FullName" class="form-control" placeholder="Full Name" required>
								<span asp-validation-for="FullName" class="text-danger"></span>
							</div>
							<div class="form-group mb-3">
								<label class="label" asp-for="Email">Email Address</label>
								<input type="text" asp-for="Email" class="form-control" placeholder="Full Name" autocomplete="username" aria-required="true" />
								<span asp-validation-for="Email" class="text-danger"></span>
							</div>
							<div class="form-group mb-3">

								<label class="label" asp-for="Phone" for="name">Phone</label>
								<input type="text" asp-for="Phone" class="form-control" placeholder="Your Phone Number" required>
								<span asp-validation-for="Phone" class="text-danger"></span>
							</div>
							<div class="form-group mb-3">
								<label class="label" asp-for="Password">Password</label>
								<input type="password" asp-for="Password" class="form-control" placeholder="Password" autocomplete="new-password" aria-required="true" />
								<span asp-validation-for="Password" class="text-danger"></span>

							</div>
							<div class="form-group mb-3">
								<label class="label" asp-for="ConfirmPassword">Confirm Password</label>
								<input type="password" asp-for="ConfirmPassword" class="form-control" placeholder="Confirm password" autocomplete="new-password" aria-required="true" />
								<span asp-validation-for="ConfirmPassword" class="text-danger"></span>
							</div>

							<div class="form-group d-md-flex">
								<div class="text-left w-50">
									<label class="checkbox-wrap checkbox-primary mb-0">
										I want to rent a car
										<input type="radio" id="customerRole" name="userRole" value="customer" checked>
										<label for="customerRole" class="checkmark"></label>
									</label>

								</div>
								<div class="text-md-right w-50">
									<label class="checkbox-wrap float-md-right checkbox-primary mb-0">
										I am a car owner
										<input type="radio" id="CarOwnerRole" value="carOwner" name="userRole">
										<label for="CarOwnerRole" class="checkmark"></label>
									</label>
								</div>
							</div>

							<div class="form-group d-md-flex">
								<div class="text-left">
									<label class="checkbox-wrap checkbox-primary mb-0">
										<p class="d-inline" id="agreeText">
											I have read and agree with
											the
										</p>
										<a class="term-and-condition" href="https://solorentacar.com/aviso/rules-rent_en.pdf">
											Terms and
											Conditions
										</a>
										<input type="checkbox" asp-for="AgreeTermAndCondition" required>
										<span class="checkmark"></span>
									</label>
									<span asp-validation-for="AgreeTermAndCondition" class="text-danger"></span>
								</div>
							</div>

							<div class="form-group">
								<button type="submit" class="form-control btn btn-primary rounded submit px-3">
									Register
								</button>
							</div>
						</form>
						<p class="text-center">
							Already have an account ?
							<a href="/Accounts/Account/Login">Sign In</a>
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

@section Scripts {
	<partial name="_ValidationScriptsPartial" />
}

